#! /usr/local/bin/perl5
#############################################################################
#  
#   File: CheckPasswd.pl
#
#   Author:  Jungmin Kim
#
#   Created:  03/05/95
#   Modified: 
#   Version: 
#
#   Output: user information or 0
#          
#
#   Description: Check out whether the given password or name is in passwd 
#                file or not.
#                Save user information into checkfile.
#
#############################################################################

sub CheckPasswd{
    local($uid, $passwd) = @_;
    local($userid, $upass, $name, $email);

    if($uid =~ /^guest/i) {return "guest";}
    open(INFILE, $checkfile);
    while(<INFILE>) {
	($userid, $upass, $name, $email) = split(/\:/, $_);
	if(($userid eq $uid) && ($upass eq $passwd)) {
	    $_ = $name.":".$email;
	    s/ /+/g;
	    return $_;
	}
    }
    close(INFILE);
    "0";
}
1;

sub CheckName{
    local($uid) = @_;
    local($userid, $upass, $name, $email);

    open(INFILE, $checkfile);
    while(<INFILE>) {
	($userid, $upass, $name, $email) = split(/\:/, $_);
	if($userid eq $uid) {
	    $_ = $name.":".$email;
	    s/ /+/g;
	    return $_;
	}
    }
    close(INFILE);
    "0";
}
1;

sub SaveName{
    local($uid, $passwd, $name, $email) = @_;

    system("cp $checkfile $checkfile.bak");
    open(OUTFILE, ">>$checkfile") ||
	print "Content-type\: text/html\n\n\n Cannot open $checkfile\: $!";
    print OUTFILE "$uid\:$passwd\:$name\:$email\n";
    close(OUTFILE);
    # chmod 400, $checkfile;
    $_ = $name.":".$email;
    s/ /+/g;
    $_;
}
1;
