#! /usr/local/bin/perl
#############################################################################
#
#   Copyright 1995 by the Northeast Parallel Architectures Center at 
#   Syracuse University and Global Business Network, Inc..
#  
#   File:          Entry2.pl
#
#   Authors:       Jungmin Kim and Paul Coddington (paulc@npac.syr.edu)
#
#   Created:       04/25/95
#   Modified:      
#   Version: 
#
#   Input:         VOID
#   Output:        HTML text
#          
#
#   Description:   Create fill-out forms to get user name and email address
#                   for the case where no password is required.
#               
#   Usage:         "http://.../WeBBoard/subdir"
#
#   Updates: 
#
#   July 10 1995 by PDC
#   - Added pointer to WeBBoard home page and copyright information.
#
#
#############################################################################


sub Entry2{
local($subdir) = @_;

print "Content-type\: text/html\n\n";
print "\n";
print "<TITLE> WeBBoard - a Networked Discussion and Bulletin Board System</TITLE>\n";

    # Open file containing the title of this WeBBoard
    $titlefile = "$webboardhome/$subdir/$check/title.html";
    if ( open(INFILE, "< $titlefile") ) {
      while (<INFILE>) {
        $title = $_;
      }
      print "<H2> Welcome to the WeBBoard for </H2>\n";
      print "<H1> $title </H1>\n";
    }
    else {
      print "<H1> Welcome to WeBBoard </H1>\n";
    }

print "<HR><P>\n";
print "<A HREF=\"$homepage\">WeBBoard</A> \n";
print "is a Web-based discussion and bulletin board system.\n";
print "<P>\n";

# Form to enter username
print "<FORM METHOD=\"POST\" ACTION=\"$action\/$subdir\:check\">\n";
print "<b>Please type in your name </b>\: \n";
print "<INPUT SIZE=25 TYPE=\"text\" NAME=\"username\" VALUE=\"\"><br>\n";
print "<P>\n";
print "and then click on the \n";
print "<INPUT TYPE=\"submit\" VALUE=\"SUBMIT\"> \n";
print "button to begin reading the WeBBoard. ";
print "</FORM>\n";

# Help for this page
print "<P>\n";
print "<B><A HREF=\"$help/help-entry.html\">\n";
print "[GET HELP]</A></B>\n";
print "<P>\n";

# Address and copyright
print "<HR>\n";
Address();

}
1;

